Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.generation
Class SelectionListFilter

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  org.apache.cocoon.forms.generation.SelectionListFilter

All Implemented Interfaces:
  ContentHandler, LexicalHandler, Poolable, Recyclable, XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class SelectionListFilter
extends org.apache.cocoon.xml.AbstractXMLPipe

A filter for selection lists, that keeps only those items that start with a given filter value.

Since:
  2.1.8
Version:
  $Id: SelectionListFilter.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Constructor Summary
`SelectionListFilter(String filterValue, ContentHandler next)`

Method Summary
`void` | `endElement(String uri, String loc, String raw)`
`void` | `startElement(String uri, String loc, String raw, Attributes a)`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`recycle, setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Constructor Detail

### SelectionListFilter

    public SelectionListFilter(String filterValue,
                               ContentHandler next)

Method Detail

### startElement

    public void startElement(String uri,
                             String loc,
                             String raw,
                             Attributes a)
                      throws SAXException

  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String loc,
                           String raw)
                    throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.